Package org.eclipse.graphiti.ui.internal.editor

## Class DiagramBehaviorDummy

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.editor.DiagramBehaviorDummy

All Implemented Interfaces:
  `IDiagramBehavior`

    public class DiagramBehaviorDummy
    extends java.lang.Object
    implements IDiagramBehavior

can be used in the dark feature processing mode

### Constructor Summary

Constructors
`DiagramBehaviorDummy​(IDiagramContainer diagramContainer, org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `executeFeature​(IFeature feature, IContext context)` Can be called to execute the given `IFeature` using the given `IContext`; also the Graphiti framework uses this method to call additional features from with feature processing.
`IDiagramContainer` `getDiagramContainer()` Returns the associated container visualizing the diagram.
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()` Gets the transactional editing domain.
`void` `refresh()` Refreshes the complete visualization.
`void` `refreshContent()` Refreshes the content of the container (what's shown inside the diagram itself).
`void` `refreshPalette()` Refreshes the containers's palette.
`void` `refreshRenderingDecorators​(PictogramElement pe)` Refreshes all rendering decorators for the given pictogram element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiagramBehaviorDummy

    public DiagramBehaviorDummy​(IDiagramContainer diagramContainer,
                                org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain)

### Method Detail

#### getDiagramContainer

    public IDiagramContainer getDiagramContainer()

Description copied from interface: `IDiagramBehavior`
Returns the associated container visualizing the diagram.

Specified by:
  `getDiagramContainer` in interface `IDiagramBehavior`
Returns:
  The associated instance of `IDiagramContainer`.

#### refresh

    public void refresh()

Description copied from interface: `IDiagramBehavior`
Refreshes the complete visualization.

Specified by:
  `refresh` in interface `IDiagramBehavior`

#### refreshPalette

    public void refreshPalette()

Description copied from interface: `IDiagramBehavior`
Refreshes the containers's palette.

Specified by:
  `refreshPalette` in interface `IDiagramBehavior`

#### refreshContent

    public void refreshContent()

Description copied from interface: `IDiagramBehavior`
Refreshes the content of the container (what's shown inside the diagram itself).

Specified by:
  `refreshContent` in interface `IDiagramBehavior`

#### refreshRenderingDecorators

    public void refreshRenderingDecorators​(PictogramElement pe)

Description copied from interface: `IDiagramBehavior`
Refreshes all rendering decorators for the given pictogram element. That means: 1. delete current decorators 2. ask the tool behaviour provider for decorator data 3. create new decorators with this data and render this new decorators

Specified by:
  `refreshRenderingDecorators` in interface `IDiagramBehavior`
Parameters:
  `pe` - The pictogram element to refresh the decorators for

#### executeFeature

    public java.lang.Object executeFeature​(IFeature feature,
                                           IContext context)

Can be called to execute the given `IFeature` using the given `IContext`; also the Graphiti framework uses this method to call additional features from with feature processing. In the latter case this method is called from with an EMF Transaction so that modifications are wrapped inside this Transaction. In case the method is called directly by a user, it needs to be ensured that the call happens with an EMF transaction, otherwise an according EMF Transactions exception will be thrown.

Specified by:
  `executeFeature` in interface `IDiagramBehavior`
Parameters:
  `feature` - the `IFeature` to execute
  `context` - the `IContext` to use while executing the feature
Returns:
  in case of an `IAddFeature` being passed as feature the newly added `PictogramElement` will be returned (in case the add method returning it), in all other cases `null`

#### getEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

Description copied from interface: `IDiagramBehavior`
Gets the transactional editing domain.

Specified by:
  `getEditingDomain` in interface `IDiagramBehavior`
Returns:
  The transactional editing domain which is used in the behavior object